<template>
	<view>
		<web-view :src="web_url"></web-view>

		<!-- 公共 -->

	</view>
</template>
<script>
	const app = getApp();
	export default {
		data() {
			return {
				web_url: null
			};
		},
		onLoad(params) {
			// 调用公共事件方法
			// url处理
			var url = decodeURIComponent(params.url) || null;
			// if (url != null) {
			//     // token处理
			//     if (url.indexOf('{token}') >= 0) {
			//         var user = app.globalData.get_user_cache_info();
			//         var token = user == null ? null : (user.token || null);
			//         if (token != null) {
			//             url = url.replace(/{token}/ig, token);
			//         }
			//     }
			// }

			this.web_url = url;


		},

		onShow() {
			// 调用公共事件方法

			// 公共onshow事件

		},

		methods: {}
	};
</script>